import { LGThinQHomebridgePlatform } from '../platform';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
import { baseDevice } from '../baseDevice';
export declare enum RotateSpeed {
    LOW = 2,
    MEDIUM = 4,
    HIGH = 6,
    EXTRA = 7
}
export default class AirPurifier extends baseDevice {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    protected serviceAirPurifier: any;
    protected serviceAirQuality: any;
    protected serviceLight: any;
    protected serviceFilterMaintenance: any;
    protected serviceAirFastMode: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    get Status(): AirPurifierStatus;
    get config(): any;
    setAirFastActive(value: CharacteristicValue): Promise<void>;
    setActive(value: CharacteristicValue): Promise<void>;
    setTargetAirPurifierState(value: CharacteristicValue): Promise<void>;
    setRotationSpeed(value: CharacteristicValue): Promise<void>;
    setSwingMode(value: CharacteristicValue): Promise<void>;
    setLight(value: CharacteristicValue): Promise<void>;
    updateAccessoryCharacteristic(device: Device): void;
}
export declare class AirPurifierStatus {
    protected data: any;
    constructor(data: any);
    get isPowerOn(): boolean;
    get isLightOn(): boolean;
    get isSwing(): boolean;
    get airQuality(): {
        isOn: boolean;
        overall: number;
        PM2: number;
        PM10: number;
    };
    get rotationSpeed(): number;
    get isNormalMode(): boolean;
    get filterUsedTimePercent(): number;
    get filterMaxTime(): any;
    get filterUseTime(): any;
    get isAirFastEnable(): any;
}
//# sourceMappingURL=AirPurifier.d.ts.map