import { baseDevice } from '../baseDevice';
import { LGThinQHomebridgePlatform } from '../platform';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
export default class Dehumidifier extends baseDevice {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    protected serviceDehumidifier: any;
    protected serviceHumiditySensor: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    setActive(value: CharacteristicValue): Promise<void>;
    setHumidityThreshold(value: CharacteristicValue): Promise<void>;
    setSpeed(value: CharacteristicValue): Promise<void>;
    updateAccessoryCharacteristic(device: Device): void;
    get Status(): DehumidifierStatus;
}
export declare class DehumidifierStatus {
    protected data: any;
    constructor(data: any);
    get isPowerOn(): boolean;
    get opMode(): number;
    get windStrength(): number;
    get isDehumidifying(): boolean;
    get humidityCurrent(): any;
    get humidityTarget(): any;
    get rotationSpeed(): number;
    get isWaterTankFull(): boolean;
}
//# sourceMappingURL=Dehumidifier.d.ts.map