import { baseDevice } from '../baseDevice';
import { LGThinQHomebridgePlatform } from '../platform';
import { PlatformAccessory } from 'homebridge';
import { DeviceModel } from '../lib/DeviceModel';
export declare enum OvenState {
    INITIAL = "@OV_STATE_INITIAL_W",
    PREHEATING = "@OV_STATE_PREHEAT_W",
    COOKING_IN_PROGRESS = "@OV_STATE_COOK_W",
    DONE = "@OV_STATE_COOK_COMPLETE_W",
    COOLING = "@OV_TERM_COOLING_W",
    CLEANING = "@OV_STATE_CLEAN_W",
    CLEANING_DONE = "@OV_STATE_CLEAN_COMPLETE_W"
}
export default class Oven extends baseDevice {
    protected readonly platform: LGThinQHomebridgePlatform;
    protected readonly accessory: PlatformAccessory;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    protected createCook(key: 'upper' | 'lower' | 'burner'): void;
    get Status(): OvenStatus;
}
export declare class OvenStatus {
    protected data: any;
    protected deviceModel: DeviceModel;
    constructor(data: any, deviceModel: DeviceModel);
    getState(key: 'upper' | 'lower' | 'burner'): any;
}
//# sourceMappingURL=Oven.d.ts.map