import { LGThinQHomebridgePlatform } from '../platform';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
import { baseDevice } from '../baseDevice';
import { DeviceModel } from '../lib/DeviceModel';
export default class Refrigerator extends baseDevice {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    protected serviceFreezer: any;
    protected serviceFridge: any;
    protected serviceDoorOpened: any;
    protected serviceExpressMode: any;
    protected serviceExpressFridge: any;
    protected serviceEcoFriendly: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    get config(): any;
    get Status(): RefrigeratorStatus;
    /**
     * update accessory characteristic by device
     */
    updateAccessoryCharacteristic(device: Device): void;
    setExpressMode(value: CharacteristicValue): Promise<void>;
    setExpressFridge(value: CharacteristicValue): Promise<void>;
    setEcoFriendly(value: CharacteristicValue): Promise<void>;
    tempUnit(): Promise<1 | 0>;
    /**
     * create a thermostat service
     */
    protected createThermostat(name: string, key: string): import("homebridge").Service | undefined;
    setTemperature(key: string, temp: string): Promise<void>;
}
export declare class RefrigeratorStatus {
    protected data: any;
    protected deviceModel: DeviceModel;
    constructor(data: any, deviceModel: DeviceModel);
    get freezerTemperature(): number;
    get fridgeTemperature(): number;
    get isDoorClosed(): boolean;
    get isExpressModeOn(): boolean;
    get isExpressFridgeOn(): boolean;
    get isEcoFriendlyOn(): boolean;
    get tempUnit(): any;
}
//# sourceMappingURL=Refrigerator.d.ts.map