import { baseDevice } from '../baseDevice';
import { LGThinQHomebridgePlatform } from '../platform';
import { CharacteristicValue, PlatformAccessory } from 'homebridge';
import { Device } from '../lib/Device';
import { DeviceModel } from '../lib/DeviceModel';
export declare const NOT_RUNNING_STATUS: string[];
export default class WasherDryer extends baseDevice {
    readonly platform: LGThinQHomebridgePlatform;
    readonly accessory: PlatformAccessory;
    isRunning: boolean;
    isServiceTubCleanMaintenanceTriggered: boolean;
    protected serviceWasherDryer: any;
    protected serviceEventFinished: any;
    protected serviceDoorLock: any;
    protected serviceTubCleanMaintenance: any;
    constructor(platform: LGThinQHomebridgePlatform, accessory: PlatformAccessory);
    get Status(): WasherDryerStatus;
    get config(): any;
    setActive(value: CharacteristicValue): Promise<void>;
    updateAccessoryCharacteristic(device: Device): void;
    update(snapshot: any): void;
}
export declare class WasherDryerStatus {
    protected data: any;
    protected deviceModel: DeviceModel;
    constructor(data: any, deviceModel: DeviceModel);
    get isPowerOn(): boolean;
    get isRunning(): boolean;
    get isError(): boolean;
    get isRemoteStartEnable(): boolean;
    get isDoorLocked(): boolean;
    get remainDuration(): number;
    get TCLCount(): number;
}
//# sourceMappingURL=WasherDryer.d.ts.map