/// <reference types="node" />
import { API, DynamicPlatformPlugin, Logger, PlatformAccessory, PlatformConfig, Service, Characteristic } from 'homebridge';
import { ThinQ } from './lib/ThinQ';
import { EventEmitter } from 'events';
import Characteristics from './characteristics';
/**
 * HomebridgePlatform
 * This class is the main constructor for your plugin, this is where you should
 * parse the user config and discover/register accessories with Homebridge.
 */
export declare class LGThinQHomebridgePlatform implements DynamicPlatformPlugin {
    readonly log: Logger;
    readonly config: PlatformConfig;
    readonly api: API;
    readonly Service: typeof Service;
    readonly Characteristic: typeof Characteristic;
    readonly customCharacteristics: ReturnType<typeof Characteristics>;
    readonly accessories: PlatformAccessory[];
    readonly ThinQ: ThinQ;
    readonly events: EventEmitter;
    private readonly intervalTime;
    private readonly enable_thinq1;
    constructor(log: Logger, config: PlatformConfig, api: API);
    /**
     * This function is invoked when homebridge restores cached accessories from disk at startup.
     * It should be used to setup event handlers for characteristics and update respective values.
     */
    configureAccessory(accessory: PlatformAccessory): void;
    discoverDevices(): Promise<void>;
    protected startMonitor(): Promise<void>;
}
//# sourceMappingURL=platform.d.ts.map